/*
 * Copyright 2008 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.core.ext.typeinfo;

import java.io.File;

/**
 * This annotation is defined outside of a GWT module, therefore it should
 * only be available as a binary type.  
 * 
 * It is used to test that translatable types ignore annotations for which 
 * they have no source.
 */
public @interface BinaryOnlyAnnotation {
  /**
   * Member used to test that we can handle binary only references to types 
   * inside of java's boot path.
   */
  Class<? extends File> jreClassLiteralReference();
}
